/*---------------------------------------------------------------------------------------------
 * Copyright (c) Bentley Systems, Incorporated. All rights reserved.
 * See LICENSE.md in the project root for license terms and full copyright notice.
 *--------------------------------------------------------------------------------------------*/
import { Subheading, Subheading2 } from "@bentley/ui-core";
import classNames from "classnames";
import React from "react";
import { Helmet } from "react-helmet-async";
import sanitizeHtml from "sanitize-html";
import styles from "./FallbackUi.module.scss";
export const FallbackUi = ({ imageSource, imageAlt, className, title, text, withHelmet, }) => {
    const innerText = sanitizeHtml(text);
    return (React.createElement("div", { className: classNames(styles.container, className) },
        withHelmet && React.createElement(Helmet, { title: title }),
        React.createElement("div", { className: styles.content },
            React.createElement("img", { src: imageSource, alt: imageAlt, "data-testid": "test-fallback-img" }),
            React.createElement("p", { className: styles.title, "data-testid": "test-fallback-title" },
                React.createElement(Subheading2, null, title)),
            React.createElement("p", { className: styles.message, "data-testid": "test-fallback-text" },
                React.createElement(Subheading, { dangerouslySetInnerHTML: { __html: innerText } })))));
};
//# sourceMappingURL=FallbackUi.js.map